main()
{
	setCullFog (0, 9000, .32, .36, .40, 0);
	ambientPlay("ambient_benouville");

// set the nighttime flag to be off
	setcvar("sv_night", "0" );

       	level thread maps\mp\mp_benouville_fx::main();
	level thread maps\mp\_tankdrive_gmi::main();
	level thread maps\mp\_jeepdrive_gmi::main();


	maps\mp\_load::main();
	maps\mp\breakwindow::main();
	
	


// Used for Random Planes
	precachemodel("xmodel/v_br_air_spitfire");
	level thread Random_Plane_FlyBy();



	game["allies"] = "british";
	game["axis"] = "german";

	game["british_soldiertype"] = "airborne";
	game["british_soldiervariation"] = "normal";
	game["german_soldiertype"] = "wehrmacht";
	game["german_soldiervariation"] = "normal";

	game["attackers"] = "allies";
	game["defenders"] = "axis";

	game["hud_allies_victory_image"] 	= "gfx/hud/hud@mp_victory_ben_b.dds";
	game["hud_axis_victory_image"] 		= "gfx/hud/hud@mp_victory_ben_g.dds";

	
	game["layoutimage"] = "mp_benouville";

//retrival settings
	level.obj["1"] = (&"RE_OBJ_CODE_BOOK");
	game["re_attackers"] = "axis";
	game["re_defenders"] = "allies";
	game["re_attackers_obj_text"] = ("Capture the codebook (yellow star) and return it to the barracks (blue box).");
	game["re_defenders_obj_text"] = ("Prevent the Axis from gaining the codebook (yellow star) and returning it to the German barracks (blue box).");
	game["re_spectator_obj_text"] = ("The Allies must prevent the Axis from gaining the codebook (yellow star) and returning it to their barracks (blue box) for decoding.");
	game["re_attackers_intro_text"] = ("Locate and return the Allied codebook (yellow star) to the barracks (blue box).");
	game["re_defenders_intro_text"] = ("Locate the codebook (yellow star) and prevent the axis from getting it to their barracks (blue box) for decoding.");



//Flag Setup Domination
	//There must be a set of the following for each flag in your map.
	flag1 = getent("flag1","targetname");			// identifies the flag you're setting up
	flag1.script_timer = 8;					// how many seconds a capture takes with one player
	flag1.description = ("The Paddock");
	
       	flag2 = getent("flag2","targetname");
	flag2.script_timer = 12;
	flag2.description = ("The Garden");

        flag3 = getent("flag3","targetname");
	flag3.script_timer = 18;
	flag3.description = ("Pegasus Bridge");

        flag4 = getent("flag4","targetname");
	flag4.script_timer = 8;
	flag4.description = ("The German Barracks");

        flag5 = getent("flag5","targetname");
	flag5.script_timer = 12;
	flag5.description = ("The Anti-Aircraft Battery");

}

#using_animtree ("stuka");
Random_Plane_FlyBy()
{
	path_start = [];
	path_end = [];
	path_start[0] = (9395, 8097, 800);
	path_end[0] = (-9314, -7477, 800);
	path_snd_delay[0] = 1;
	path_start[1] = (9589, -7283, 800);
	path_end[1] = (-9378, 1021, 800);
	path_snd_delay[1] = 0;

//Time = Distance / Speed
//
//Distance = Time * Speed
//
//Speed = Distance / Time
	wait (40 + randomint(45));

	level.plane_flybys = 1;
	while(1)
	{
		// Choose Random Path
		random_path = randomint(path_start.size);
		the_path_start = path_start[random_path];
		the_path_end = path_end[random_path];

		side = randomint(2);

		if(side == 1)
		{
			startpos = the_path_start;
			endpos = the_path_end;
		}
		else
		{
			startpos = the_path_end;
			endpos = the_path_start;
		}

		sound_delay = path_snd_delay[random_path];

		speed = (3000  + randomint(750));
		dist = distance(startpos,endpos);
	
		time = (dist / speed);

		num_of_planes = 1 + randomint(2);
		println("num_of_planes ", num_of_planes);
		for(i=0;i<num_of_planes;i++)
		{
			level.plane_flybys--;
			random_x = (startpos[0] - 256) + randomfloat(512);
			random_y = (startpos[1] - 256) + randomfloat(512);
			random_z = (startpos[2] - 128) + randomfloat(256);
			offset = (random_x, random_y, random_z);

//			println("OFFSET = ",offset);

			plane = spawn("script_model", offset);
			plane setmodel("xmodel/v_br_air_spitfire");
			plane thread Plane_Move(startpos,endpos,time, sound_delay);
			wait (0.5 + randomfloat(2));
		}

//		println("PLANE GROUPS : ",level.plane_flybys);

		while(level.plane_flybys <= 0)
		{
			wait 1;
		}

		wait (40 + randomint(45));
	}
}

do_line()
{
	self endon("death");
	while(1)
	{
		line(self.origin, (0,0,0),(1,1,1));
		print3d((self.origin + (0,0,50)), self.angles, (1,1,1));
		wait 0.05;
	}
}

Plane_Move(startpos,endpos,time, sound_delay)
{
	self moveto(endpos, time, 0, 0);
	self.angles = vectortoangles (endpos - startpos);
	self thread Plane_Rotate();
	self thread Plane_Sound(sound_delay);

	self waittill("movedone");
	level.plane_flybys++;
	self delete();
}

Plane_Rotate()
{
//	self thread do_line();
	self endon("death");
	og_angles = self.angles;

	while(1)
	{
		random_x = og_angles[2] + (-15 + randomfloat(30));
		random_y = og_angles[0] + (-5 + randomfloat(10));
		random_time = 2 + randomfloat(5);
//		offset = (random_x, random_y, random_z);
		offset = (random_y, og_angles[1], random_x);
//		println("ANGLES: ",offset);

		self rotateto(offset, random_time, 0.5, 0.5);
		self waittill("rotatedone");
	}
}

Plane_Sound(sound_delay)
{
	org = spawn("script_model",(0,0,0));
//	org thread do_line2();
	org SetContents(0);
	wait 0.1;
	random_num = randomint(2);
	if(random_num == 0)
	{
		alias = "spit_attack01";
		sound_wait = 10;
	}
	else
	{
		alias = "spit_attack01";
		sound_wait = 8;
	}

	if(isdefined(sound_delay))
	{
		wait sound_delay;
	}

	println("^5Playing Sound ",alias);
	org playsound (alias);
	wait sound_wait;
	println("DELETE!");
	org delete();
}
